Bug 37607 - FILESAVE Bullets are not converted to asterisk saving to plain text
Summary: FILESAVE Bullets are not converted to asterisk saving to plain text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save-Text
  Show dependency treegraph
 
Reported: 2011-05-25 16:25 UTC by Christopher M. Penalver
Modified: 2017-06-17 19:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example.odt (9.32 KB, application/vnd.oasis.opendocument.text)
2011-05-25 16:25 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-25 16:25:25 UTC
Created attachment 47165 [details]
example.odt

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/38211

OOo bug may be found at:
http://qa.openoffice.org/issues/show_bug.cgi?id=64216

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy unoconv
unoconv:
  Installed: 0.3-6
  Candidate: 0.3-6
  Version table:
 *** 0.3-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/38211/+attachment/2142831/+files/example.odt && unoconv --listener && unoconv -f txt example.odt && lowriter -nologo example.txt example.odt

the bullets in example.odt are converted to asterisks in the example.txt file, as Word does it if converted from .doc to .txt.

4) What happens instead is the bullets are removed but not replaced with asterisks. The file was created opening a blank document then entering the following 3 lines:
list item one
list item two
list item three

Highlight the three lines and click the "Bullets" button on the toolbar to make the list bulleted. Save as .odt file.
Comment 1 Rainer Bielefeld Retired 2011-05-25 22:24:05 UTC
[Reproducible] with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:11)]".

I never have seen such a bullet to asterisks conversion in LibO or OOo, OOo1.1.4. 3.4, 3.4-dev also ignore bullets during 'Save as .txt'.

The current behavior is unexpected and unsatisfying, numbered lists will be converted, so I believe it should be not too difficult to find a solution for lists with bullets. 

Currently we have in 'Tools > AutoCorrect Options  > Options ' "Apply numbering - symbol: *" + "Replace bullets with: *.

I believe it never can be wrong to save bullets as "*" or "-" for text documents.
Sounds like an enhancement, but IMHO the difference to the numbering export handling makes it a bug.
Comment 2 Björn Michaelsen 2011-12-23 12:03:48 UTC Comment hidden (obsolete)
Comment 3 Christopher M. Penalver 2012-01-17 06:41:22 UTC
Reproducible in:
lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.0~beta2-2ubuntu3
  Candidate: 1:3.5.0~beta2-2ubuntu3
  Version table:
 *** 1:3.5.0~beta2-2ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
Comment 4 Matthew B 2012-05-13 15:50:52 UTC
Has this bug been fixed?
Comment 5 retired 2014-08-16 10:33:05 UTC
Nope, still happening with 4.3.1RC1 OSX 10.9.4. Save as... Plain Text > bullet points are not converted to asterisk, but are gone without notice.

Should not happen.
Comment 6 QA Administrators 2015-09-04 02:48:41 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-11-19 12:24:35 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 66d2b72667792cb18b25805387824d636e2a455c
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-18_02:35:53
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2017-01-03 19:36:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103